<html>
<head>
<title>Ogre::RTShader::ShaderGenerator::SGTechnique Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html">ShaderGenerator</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html">SGTechnique</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RTShader::ShaderGenerator::SGTechnique Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RTShader::ShaderGenerator::SGTechnique" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Shader generator technique wrapper class.  
 <a href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::RTShader::ShaderGenerator::SGTechnique:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique__inherit__graph.gif" border="0" usemap="#Ogre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique_inherit__map" id="Ogre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="83,5,237,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a351556fab96ac2da68a2895aa1e74096">SGTechnique</a> (<a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGMaterial.html">SGMaterial</a> *parent, <a class="el" href="classOgre_1_1Technique.html">Technique</a> *srcTechnique, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;dstTechniqueSchemeName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a5d688f7aa710eebf9ae497e4c8aeddcd">~SGTechnique</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGMaterial.html">SGMaterial</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a3ac520262b51ad2b91d3f9505b45b402">getParent</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the parent <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGMaterial.html" title="Shader generator material wrapper class.">SGMaterial</a>.  <a href="#a3ac520262b51ad2b91d3f9505b45b402"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a5d1cdaa53b04929d87ff3789992e7619">getSourceTechnique</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the source technique.  <a href="#a5d1cdaa53b04929d87ff3789992e7619"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a9b3d5e7861f7724dee0554b797f5dfa9">getDestinationTechnique</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the destination technique.  <a href="#a9b3d5e7861f7724dee0554b797f5dfa9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a1fb298c71c1b82d3cbb912814255b6cf">getDestinationTechniqueSchemeName</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the destination technique scheme name.  <a href="#a1fb298c71c1b82d3cbb912814255b6cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a23c5d30d26da9dfc3284014bdb0926d6">buildTargetRenderState</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Build the render state.  <a href="#a23c5d30d26da9dfc3284014bdb0926d6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a9712c4d3ee79cf8f08042faebfc9416e">acquirePrograms</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Acquire the CPU/GPU programs for this technique.  <a href="#a9712c4d3ee79cf8f08042faebfc9416e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#afb48181eaf49cf386bab6e668f2c26b5">releasePrograms</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release the CPU/GPU programs of this technique.  <a href="#afb48181eaf49cf386bab6e668f2c26b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#aa934be1bbcae965c020bf3ca1da5446f">setBuildDestinationTechnique</a> (bool buildTechnique)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tells the technique that it needs to generate shader code.  <a href="#aa934be1bbcae965c020bf3ca1da5446f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#aa4f4b777d9f517c216fe75919724383e">getBuildDestinationTechnique</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tells if the destination technique should be build.  <a href="#aa4f4b777d9f517c216fe75919724383e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">RenderState</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#afc74f2a2a4f43c5e73a8f4afde42108c">getRenderState</a> (unsigned short passIndex)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get render state of specific pass.  <a href="#afc74f2a2a4f43c5e73a8f4afde42108c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a033860abb9732a4db06df88317be4c43">hasRenderState</a> (unsigned short passIndex)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tells if a custom render state exists for the given pass.  <a href="#a033860abb9732a4db06df88317be4c43"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a5582424d09cef23f6eb5919e006f5015">UserKey</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#afebb60eaefc1611f24cc9ec23647743f">createSGPasses</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create the passes entries.  <a href="#afebb60eaefc1611f24cc9ec23647743f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#acfde05847c1f5c38e115937e4eaa6222">destroySGPasses</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy the passes entries.  <a href="#acfde05847c1f5c38e115937e4eaa6222"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGMaterial.html">SGMaterial</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a760c5c55c9cec6c2613518e63aaef0b1">mParent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#acb70e2292f5d74afd0cb262ee5a7f3bd">mSrcTechnique</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a18910ce2b33b368892a8b61aac99e219">mDstTechnique</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html#a102618c7a56132e13ce1d2c2f084c579">SGPassList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a6968ba265d8cc46083f770db840a34e7">mPassEntries</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RTShader.html#ga3a45db6ba3ebab9f7a49005934a19213">RenderStateList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a9d011a6cfdf9357f3274702e41c47f6a">mCustomRenderStates</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a2e8ca0d767beb45c32b59c6aa80d529b">mBuildDstTechnique</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#acb4841dae1fb56cb48ce01b3b17ea05b">mDstTechniqueSchemeName</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Shader generator technique wrapper class. </p>

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00523">523</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a351556fab96ac2da68a2895aa1e74096"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::SGTechnique" ref="a351556fab96ac2da68a2895aa1e74096" args="(SGMaterial *parent, Technique *srcTechnique, const String &amp;dstTechniqueSchemeName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a351556fab96ac2da68a2895aa1e74096">Ogre::RTShader::ShaderGenerator::SGTechnique::SGTechnique</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGMaterial.html">SGMaterial</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td>
          <td class="paramname"><em>srcTechnique</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>dstTechniqueSchemeName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5d688f7aa710eebf9ae497e4c8aeddcd"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::~SGTechnique" ref="a5d688f7aa710eebf9ae497e4c8aeddcd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a5d688f7aa710eebf9ae497e4c8aeddcd">Ogre::RTShader::ShaderGenerator::SGTechnique::~SGTechnique</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a9712c4d3ee79cf8f08042faebfc9416e"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::acquirePrograms" ref="a9712c4d3ee79cf8f08042faebfc9416e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a9712c4d3ee79cf8f08042faebfc9416e">Ogre::RTShader::ShaderGenerator::SGTechnique::acquirePrograms</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Acquire the CPU/GPU programs for this technique. </p>

</div>
</div>
<a class="anchor" id="a23c5d30d26da9dfc3284014bdb0926d6"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::buildTargetRenderState" ref="a23c5d30d26da9dfc3284014bdb0926d6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a23c5d30d26da9dfc3284014bdb0926d6">Ogre::RTShader::ShaderGenerator::SGTechnique::buildTargetRenderState</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Build the render state. </p>

</div>
</div>
<a class="anchor" id="afebb60eaefc1611f24cc9ec23647743f"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::createSGPasses" ref="afebb60eaefc1611f24cc9ec23647743f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#afebb60eaefc1611f24cc9ec23647743f">Ogre::RTShader::ShaderGenerator::SGTechnique::createSGPasses</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create the passes entries. </p>

</div>
</div>
<a class="anchor" id="acfde05847c1f5c38e115937e4eaa6222"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::destroySGPasses" ref="acfde05847c1f5c38e115937e4eaa6222" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#acfde05847c1f5c38e115937e4eaa6222">Ogre::RTShader::ShaderGenerator::SGTechnique::destroySGPasses</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destroy the passes entries. </p>

</div>
</div>
<a class="anchor" id="aa4f4b777d9f517c216fe75919724383e"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::getBuildDestinationTechnique" ref="aa4f4b777d9f517c216fe75919724383e" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#aa4f4b777d9f517c216fe75919724383e">Ogre::RTShader::ShaderGenerator::SGTechnique::getBuildDestinationTechnique</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tells if the destination technique should be build. </p>

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00554">554</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9b3d5e7861f7724dee0554b797f5dfa9"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::getDestinationTechnique" ref="a9b3d5e7861f7724dee0554b797f5dfa9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a9b3d5e7861f7724dee0554b797f5dfa9">Ogre::RTShader::ShaderGenerator::SGTechnique::getDestinationTechnique</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the destination technique. </p>

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00536">536</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1fb298c71c1b82d3cbb912814255b6cf"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::getDestinationTechniqueSchemeName" ref="a1fb298c71c1b82d3cbb912814255b6cf" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a1fb298c71c1b82d3cbb912814255b6cf">Ogre::RTShader::ShaderGenerator::SGTechnique::getDestinationTechniqueSchemeName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the destination technique scheme name. </p>

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00539">539</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3ac520262b51ad2b91d3f9505b45b402"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::getParent" ref="a3ac520262b51ad2b91d3f9505b45b402" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGMaterial.html">SGMaterial</a>* <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a3ac520262b51ad2b91d3f9505b45b402">Ogre::RTShader::ShaderGenerator::SGTechnique::getParent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the parent <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGMaterial.html" title="Shader generator material wrapper class.">SGMaterial</a>. </p>

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00530">530</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="afc74f2a2a4f43c5e73a8f4afde42108c"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::getRenderState" ref="afc74f2a2a4f43c5e73a8f4afde42108c" args="(unsigned short passIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">RenderState</a>* <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#afc74f2a2a4f43c5e73a8f4afde42108c">Ogre::RTShader::ShaderGenerator::SGTechnique::getRenderState</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>passIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get render state of specific pass. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">passIndex</td><td>The pass index. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5d1cdaa53b04929d87ff3789992e7619"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::getSourceTechnique" ref="a5d1cdaa53b04929d87ff3789992e7619" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a5d1cdaa53b04929d87ff3789992e7619">Ogre::RTShader::ShaderGenerator::SGTechnique::getSourceTechnique</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the source technique. </p>

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00533">533</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a033860abb9732a4db06df88317be4c43"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::hasRenderState" ref="a033860abb9732a4db06df88317be4c43" args="(unsigned short passIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a033860abb9732a4db06df88317be4c43">Ogre::RTShader::ShaderGenerator::SGTechnique::hasRenderState</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>passIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tells if a custom render state exists for the given pass. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afb48181eaf49cf386bab6e668f2c26b5"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::releasePrograms" ref="afb48181eaf49cf386bab6e668f2c26b5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#afb48181eaf49cf386bab6e668f2c26b5">Ogre::RTShader::ShaderGenerator::SGTechnique::releasePrograms</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release the CPU/GPU programs of this technique. </p>

</div>
</div>
<a class="anchor" id="aa934be1bbcae965c020bf3ca1da5446f"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::setBuildDestinationTechnique" ref="aa934be1bbcae965c020bf3ca1da5446f" args="(bool buildTechnique)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#aa934be1bbcae965c020bf3ca1da5446f">Ogre::RTShader::ShaderGenerator::SGTechnique::setBuildDestinationTechnique</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>buildTechnique</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tells the technique that it needs to generate shader code. </p>

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00551">551</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a2e8ca0d767beb45c32b59c6aa80d529b"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::mBuildDstTechnique" ref="a2e8ca0d767beb45c32b59c6aa80d529b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a2e8ca0d767beb45c32b59c6aa80d529b">Ogre::RTShader::ShaderGenerator::SGTechnique::mBuildDstTechnique</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00579">579</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9d011a6cfdf9357f3274702e41c47f6a"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::mCustomRenderStates" ref="a9d011a6cfdf9357f3274702e41c47f6a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RTShader.html#ga3a45db6ba3ebab9f7a49005934a19213">RenderStateList</a> <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a9d011a6cfdf9357f3274702e41c47f6a">Ogre::RTShader::ShaderGenerator::SGTechnique::mCustomRenderStates</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00578">578</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a18910ce2b33b368892a8b61aac99e219"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::mDstTechnique" ref="a18910ce2b33b368892a8b61aac99e219" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a18910ce2b33b368892a8b61aac99e219">Ogre::RTShader::ShaderGenerator::SGTechnique::mDstTechnique</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00576">576</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb4841dae1fb56cb48ce01b3b17ea05b"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::mDstTechniqueSchemeName" ref="acb4841dae1fb56cb48ce01b3b17ea05b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#acb4841dae1fb56cb48ce01b3b17ea05b">Ogre::RTShader::ShaderGenerator::SGTechnique::mDstTechniqueSchemeName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00580">580</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a760c5c55c9cec6c2613518e63aaef0b1"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::mParent" ref="a760c5c55c9cec6c2613518e63aaef0b1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGMaterial.html">SGMaterial</a>* <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a760c5c55c9cec6c2613518e63aaef0b1">Ogre::RTShader::ShaderGenerator::SGTechnique::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00574">574</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6968ba265d8cc46083f770db840a34e7"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::mPassEntries" ref="a6968ba265d8cc46083f770db840a34e7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html#a102618c7a56132e13ce1d2c2f084c579">SGPassList</a> <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a6968ba265d8cc46083f770db840a34e7">Ogre::RTShader::ShaderGenerator::SGTechnique::mPassEntries</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00577">577</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb70e2292f5d74afd0cb262ee5a7f3bd"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::mSrcTechnique" ref="acb70e2292f5d74afd0cb262ee5a7f3bd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#acb70e2292f5d74afd0cb262ee5a7f3bd">Ogre::RTShader::ShaderGenerator::SGTechnique::mSrcTechnique</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00575">575</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5582424d09cef23f6eb5919e006f5015"></a><!-- doxytag: member="Ogre::RTShader::ShaderGenerator::SGTechnique::UserKey" ref="a5582424d09cef23f6eb5919e006f5015" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#a5582424d09cef23f6eb5919e006f5015">Ogre::RTShader::ShaderGenerator::SGTechnique::UserKey</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderGenerator_8h_source.html#l00563">563</a> of file <a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreShaderGenerator_8h_source.html">OgreShaderGenerator.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:32
</p>
</body>
</html>
